Subject: Re: bug#18864: 24.4; F4 may be inserted into emacs macro when blink-matching-paren is enabled

From: Marcin Borkowski <[email-masked]>
Date: Tue, 01 Mar 2016 17:11:27 +0100

On 2014-10-27, at 11:28, Andreas Ehliar <[email-masked]> wrote:

> Starting from emacs -Q:
> *  Open an html file (e.g. /tmp/foo.html)
> * Type <b
> * Start a macro with F3
> * Quickly enter > followed by F4
> * M-x edit-last-kbd-macro now shows that F4 has been inserted into the
> macro.
>
> I believe that this bug is, in some way, caused by
> blink-matching-paren.
> F4 only seems to be entered into the macro when the preceding "<" is
> highlighted.
>
> Also, I cannot reproduce the bug when setting blink-matching-paren to
> nil.
>
> I originally saw this problem in 24.3, but I have just compiled 24.4
> to confirm that the bug is still present there.

Hello,

I have just tried to reproduce it on GNU Emacs 25.1.50.4 (commit
f182640), and could not.  Could you confirm that this is no longer
a problem?  (If you do not want to compile Emacs from the Git repo,
maybe try the latest pretest, see
http://alpha.gnu.org/gnu/emacs/pretest/)

Best,

-- 
Marcin Borkowski